unit FEditorSearch;

{$WARN UNIT_PLATFORM OFF}

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Borland.Vcl.StdCtrls, Borland.Vcl.ExtCtrls, MRUCombos,
  System.ComponentModel, GreppolaUtils, GreppolaConsts;
                                                                 
type
  TEditorSearchForm = class(TForm)
    FindTextCombo: TMRUComboBox;
    TextToFindLabel: TLabel;
    OptionsLabel: TLabel;
    DirectionLabel: TLabel;
    CaseCheck: TCheckBox;
    WordsCheck: TCheckBox;
    RegexCheck: TCheckBox;
    ForwardRadioButton: TRadioButton;
    BackwardRadioButton: TRadioButton;
    OkButton: TButton;
    CancelButton: TButton;
    HelpButton: TButton;
    SeparatorLine: TShape;
    procedure OkButtonClick(Sender: TObject);
    procedure HelpButtonClick(Sender: TObject);
  private
    FOptions: TSearchOptions;
    procedure SetOptions(const Value: TSearchOptions);
  public
    property Options: TSearchOptions read FOptions write SetOptions;
  end;

var
  EditorSearchForm: TEditorSearchForm;

implementation

{$R *.nfm}

procedure TEditorSearchForm.OkButtonClick(Sender: TObject);
begin
  FOptions.SearchString := FindTextCombo.Text;
  FOptions.CaseSensitive := CaseCheck.Checked;
  FOptions.WholeWords := WordsCheck.Checked;
  FOptions.RegularExpressions := RegexCheck.Checked;
end;

procedure TEditorSearchForm.HelpButtonClick(Sender: TObject);
begin
  ShowMessage(SNotImplemented);
end;

procedure TEditorSearchForm.SetOptions(const Value: TSearchOptions);
begin
  FOptions := Value;
  FindTextCombo.Text := Value.SearchString;
  CaseCheck.Checked := Value.CaseSensitive;
  WordsCheck.Checked := Value.WholeWords;
  RegexCheck.Checked := Value.RegularExpressions;
end;

end.

