{                                                                           }
{ File:       FOptions.pas                                                  }
{ Function:   Options form for Greppola                                     }
{ Language:   Delphi 8 for the Microsoft .NET framework                     }
{ Author:     Rudy Velthuis                                                 }
{ Copyright:  (c) 2003,2004 Rudy Velthuis                                   }
{ Disclaimer: This code is freeware. All rights are reserved.               }
{             This code is provided as is, expressly without a warranty     }
{             of any kind. You use it at your own risk.                     }
{                                                                           }
{             If you use this code, please credit me.                       }
{                                                                           }

unit FOptions;

interface

{$WARN UNIT_PLATFORM OFF}

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, System.ComponentModel, Borland.Vcl.StdCtrls,
  Borland.Vcl.ExtCtrls, Borland.Vcl.ComCtrls, FAppearanceFrame, FToolsFrame,
  FExcludesFrame, FSearchOptionsFrame;

type
  TOptionsForm = class(TForm)
    OkButton: TButton;
    CancelButton: TButton;
    PageControl: TPageControl;
    SearchSheet: TTabSheet;
    ExcludesSheet: TTabSheet;
    AppearanceSheet: TTabSheet;
    ExcludesFrame: TExcludesFrame;
    AppearanceFrame: TAppearanceFrame;
    SearchOptionsFrame: TSearchOptionsFrame;
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    
  private
  public
  end;

var
  OptionsForm: TOptionsForm;

implementation

{$R *.nfm}

procedure TOptionsForm.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
  AppearanceFrame.UpdateOptions;
  if IsPositiveResult(ModalResult) then
  begin
    SearchOptionsFrame.UpdateOptions;
  end;
end;

procedure TOptionsForm.FormCreate(Sender: TObject);
begin
  AppearanceFrame.UpdateControls;
  SearchOptionsFrame.UpdateControls;
end;

end.

