unit FToolsFrame;

// Tools

{ TODO : Add List edit button and list editor }
{ TODO : Add internal/external editor checkbox }

{$WARN UNIT_PLATFORM OFF}

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Borland.Vcl.StdCtrls, System.ComponentModel, MRUCombos,
  Borland.Vcl.Buttons;

type
  TToolsParameters = class(TPersistent)
    DefaultEditor: string;
    procedure Assign(Source: TPersistent); override;
    constructor Create(AnEditor: string); overload;
    constructor Create; overload;
    constructor Create(Source: TToolsParameters); overload;
    destructor Destroy; override;
  end;

  TToolsFrame = class(TFrame)
    EditorCombo: TMRUComboBox;
    ViewerLabel: TLabel;
    BrowseButton: TButton;
    SpeedButton1: TSpeedButton;
    OpenDialog: TOpenDialog;
    procedure BrowseButtonClick(Sender: TObject);
  private
    FParameters: TToolsParameters;
    procedure SetParameters(const Value: TToolsParameters);
  public
    constructor Create(AOwner: Tcomponent); override;
    destructor Destroy; override;
    property Parameters: TToolsParameters read FParameters write SetParameters;
  end;

implementation

{$R *.nfm}

{ TToolsFrame }

procedure TToolsFrame.BrowseButtonClick(Sender: TObject);
begin
  if EditorCombo.Text <> '' then
    OpenDialog.FileName := EditorCombo.Text
  else
    OpenDialog.FileName := FParameters.DefaultEditor;
  if OpenDialog.Execute then
  begin
    EditorCombo.Items.Add(OpenDialog.FileName);
    EditorCombo.ItemIndex := 0;
    FParameters.DefaultEditor := OpenDialog.FileName;
  end;
end;

constructor TToolsFrame.Create(AOwner: Tcomponent);
begin
  inherited;
  FParameters := TToolsParameters.Create;
end;

destructor TToolsFrame.Destroy;
begin
  FParameters.Free;
  inherited;
end;

procedure TToolsFrame.SetParameters(const Value: TToolsParameters);
begin
  FParameters.Assign(Value);
end;

{ TToolsParameters }

procedure TToolsParameters.Assign(Source: TPersistent);
begin
  if Source is TToolsParameters then
  begin
    DefaultEditor := TToolsParameters(Source).DefaultEditor;
  end;
  inherited;
end;

constructor TToolsParameters.Create(AnEditor: string);
begin
  inherited Create;
  DefaultEditor := AnEditor;
end;

constructor TToolsParameters.Create(Source: TToolsParameters);
begin
  inherited Create;
  Assign(Source);
end;

constructor TToolsParameters.Create;
begin
  inherited;
end;

destructor TToolsParameters.Destroy;
begin
  inherited;
end;

end.
